Bug 441080 - qpidc: $RPM_OPT_FLAGS not used, useless debuginfo package
Summary: qpidc: $RPM_OPT_FLAGS not used, useless debuginfo package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qpidc
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-05 21:33 UTC by Ville Skyttä
Modified: 2013-09-12 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 13:24:09 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, fix debuginfo (852 bytes, patch)
2008-04-05 21:34 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2008-04-05 21:33:20 UTC
qpidc's build does not use $RPM_OPT_FLAGS so it misses some compiler security
features, and strips installed executables thus preventing rpmbuild from doing
its job and creating a useful debuginfo package.  Candidate fix for both
attached, build tested only.

Comment 1 Ville Skyttä 2008-04-05 21:34:02 UTC
Created attachment 301395 [details]
Use $RPM_OPT_FLAGS, fix debuginfo

Comment 2 Alan Conway 2008-04-14 14:01:43 UTC
Thanks for this Ville. I'm happy to apply this patch provided our brew builds
are still done with -O3. What is the proper place to set optimization flags for
our brew builds? 

Nuno - once we know our builds will still be with -O3, this patch can be applied
upstream to qpidc.spec.in in qpid repo, as it makes the spec more generic. I've
verified the full build & tests.

Comment 3 Ville Skyttä 2008-04-14 17:15:20 UTC
I don't know anything about brew, but I suppose it uses the standard rpm
mechanisms.  If you want to ensure -O3 is used, replace:

    CXXFLAGS="%{optflags} -DNDEBUG" \

...with

    CXXFLAGS="%{optflags} -O3 -DNDEBUG" \

...in the patch.  I suppose that's acceptable for Fedora as well if there's a
good reason for forcing -O3 instead of using the default (currently -O2), the
most important bits of %{optflags} are the security related ones and
debuggability of the results, not optimization levels AFAIU.

Comment 4 Alan Conway 2008-04-14 19:17:04 UTC
Comitted to  URL: https://svn.apache.org/repos/asf/incubator/qpid/trunk
Revision: 647937

I verified build & test, but have not verified the debuginfo packages.

Comment 5 Bug Zapper 2008-05-14 08:57:41 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Alan Conway 2008-09-30 14:11:53 UTC
This bug is out of date - the RPM spec and build scripts have been moved out of the qpid source tree. I believe the debuginfo issue has been addressed, verify the debuginfo packages produced by our fedora RPM builds in koji.

Comment 7 Bug Zapper 2009-06-10 00:01:03 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Alan Conway 2009-06-10 13:24:09 UTC
Verified that debuginfo works in 0.5.752600-5.fc10


Note You need to log in before you can comment on or make changes to this bug.